package com.zhangmeng.api.service.admin_manager;

import com.zhangmeng.model.entity.User;
import com.zhangmeng.model.vo.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@Api(tags = "用户管理")
public interface UserControllerApi {

    @ApiOperation("用户保存")
    public Result save(@RequestParam @RequestBody Map<String, Object> parms);

    @ApiOperation("用户删除")
    public Result delete(String userId);

    @ApiOperation("用户列表")
    public Result list(Integer pageNum, Integer pageSize, String username, String telephone);

    @ApiOperation("用户批量删除")
    public Result batchRemove(String ids);

    @ApiOperation("注册保存")
    public Result reg_save(@RequestParam @RequestBody Map<String, Object> parms);

    @ApiOperation("获取当前用户")
    public Result current();

    @ApiOperation("个人资料修改")
    public Result personUpdate(@RequestParam @RequestBody Map<String, Object> map);

    @ApiOperation("根据用户名称查询用户")
    public User findByUserName(String username);
}
